open Util
open Simulation

let make ?guess simulation =
  if simulation.electrons.Electrons.multiplicity = 1 then
    RHF.make ?guess simulation
  else
    invalid_arg "UHF or ROHF not implemented"


let to_string = HartreeFock_type.to_string
